summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJochen Sprickerhof <git@jochen.sprickerhof.de>2023-01-17 10:28:31 +0100
committerJochen Sprickerhof <git@jochen.sprickerhof.de>2023-01-17 11:38:55 +0100
commitefd7142c00191bbe06ff9f6a6995583d97cd4da3 (patch)
treece61cf22e506ec0cd49aa2308144d88351f0dc46
parent94245ed6dbc64d32ad8da9788cef29dbe0732e6b (diff)
downloaddebvm-efd7142c00191bbe06ff9f6a6995583d97cd4da3.tar.gz
Add --skip=autologin
-rwxr-xr-xbin/debvm-create10
-rwxr-xr-xshare/customize-autologin.sh2
2 files changed, 10 insertions, 2 deletions
diff --git a/bin/debvm-create b/bin/debvm-create
index c58092c..8e6ca12 100755
--- a/bin/debvm-create
+++ b/bin/debvm-create
@@ -63,6 +63,12 @@ The following tasks may be skipped.
=over 4
+=item B<autologin>
+
+Skips adding a the customize-autologin.sh to B<mmdebstrap> that configures
+automatic root login on a serial console and also parses the C<TERM> kernel
+cmdline and passes it as C<TERM> to B<agetty>.
+
=item B<kernel>
skips installing a linux kernel image.
@@ -289,7 +295,9 @@ if ! check_skip usrmerge; then
set -- --hook-dir=/usr/share/mmdebstrap/hooks/maybe-merged-usr "$@"
fi
-set -- "--customize-hook=$SHARE_DIR/customize-autologin.sh" "$@"
+if ! check_skip autologin; then
+ set -- "--customize-hook=$SHARE_DIR/customize-autologin.sh" "$@"
+fi
set -- "$SUITE" "$IMAGE" "$@"
diff --git a/share/customize-autologin.sh b/share/customize-autologin.sh
index b9a4a8b..4340650 100755
--- a/share/customize-autologin.sh
+++ b/share/customize-autologin.sh
@@ -3,7 +3,7 @@
# SPDX-License-Identifier: MIT
#
# This is a mmdebstrap customize hook that configures automatic root login on a
-# serial console. It also parses the debvm.term kernel cmdline and passes it as
+# serial console. It also parses the TERM kernel cmdline and passes it as
# TERM to agetty.
set -eu